> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Getting Connect Results

> [!WARNING]
>
> Method Elements will no longer be supported or maintained beginning December
> 31st, 2025. We recommend using [Method Opal](https://docs.methodfi.com/opal/overview.md) for all new
> integrations. If you are currently using Elements, please reach out to your
> CSM to discuss your migration options.

In addition to [listening for the success event](https://docs.methodfi.com/elements/events/overview.md), the result of the Connect session can also be retrieved by calling the `results` endpoint with the element token for that session.

```bash theme={null}
GET /elements/token/{element_token}/results
```

See [Retrieve Element Results](https://docs.methodfi.com/reference/elements/results.md) for more information about this endpoint.

```bash cURL theme={null}
curl https://production.methodfi.com/elements/token/pk_elem_dDe4r9M6X3Ad9zjpbgYpzLNtRCXfhPYR/results \
  -X GET \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const response = await method
  .elements
  .token
  .results('pk_elem_dDe4r9M6X3Ad9zjpbgYpzLNtRCXfhPYR');
```

```python Python theme={null}
response = method
  .elements
  .token
  .results('pk_elem_dDe4r9M6X3Ad9zjpbgYpzLNtRCXfhPYR')
```

```json theme={null}
{
  "authenticated": true,
  "cxn_id": "cxn_xr86xHEcWmpmB",
  "accounts": [
    "acc_jPXLFqd6KzH3N",
    "acc_DALLeLrj3TH8h"
  ],
  "entity_id": "ent_GWKYtnFyE79db",
  "events": [
    {
      "type": "open",
      "metadata": {
        "element_type": "connect",
        "op": "open"
      },
      "timestamp": "2024-04-25T02:35:28.097Z"
    },
    {
      "type": "success",
      "metadata": {
        "entity_id": "ent_GWKYtnFyE79db",
        "accounts": [
          "acc_jPXLFqd6KzH3N",
          "acc_DALLeLrj3TH8h"
        ],
        "element_type": "connect",
        "op": "success"
      },
      "timestamp": "2024-04-25T02:35:57.120Z"
    },
    {
      "type": "exit",
      "metadata": {
        "element_type": "connect",
        "op": "exit"
      },
      "timestamp": "2024-04-25T02:35:57.138Z"
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.